#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define	pdir	Algorithm
%define	pnam	C3
Summary:	Algorithm::C3 - A module for merging hierarchies using the C3 algorithm
Summary(pl.UTF-8):	Algorithm::C3 - moduł do łączenia hierarchii przy użyciu algorytmu C3
Name:		perl-Algorithm-C3
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/Algorithm/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	978c6343c542aa8ba61a73674a93c587
URL:		https://metacpan.org/dist/Algorithm-C3
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C3 is the name of an algorithm which aims to provide a sane method
resolution order under multiple inheritance. It was first introduced
in the Dylan language (see links in the manual SEE ALSO section), and
then later adopted as the preferred MRO (Method Resolution Order) for
the new-style classes in Python 2.3. Most recently it has been adopted
as the 'canonical' MRO for Perl 6 classes, and the default MRO for
Parrot objects as well.

%description -l pl.UTF-8
C3 to nazwa algorytmu, którego celem jest dostarczenie rozsądnej
kolejności rozwiązywania metod przy wielokrotnym dziedziczeniu. Po raz
pierwszy został wprowadzony w języku Dylan (odnośniki w sekcji SEE
ALSO manuala), a następnie zaadoptowany jako preferowana MRO (Method
Resolution Order - kolejność rozwiązywania metod) dla nowego stylu
klas w Pythonie 2.3. Ostatnio został zaadoptowany jako "kanoniczna"
MRO dla klas Perla 6 i domyślna MRO dla obiektów Parrota.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Algorithm/C3.pm
%{_mandir}/man3/Algorithm::C3.3pm*
%changelog
* Thu Sep 07 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Algorithm-C3.git;a=log;h=master

* Thu Sep 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 7d3e478
- updated to 0.11

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 1af869b
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Sep 30 2018 Jakub Bogusz <qboosh@pld-linux.org> a27fd3f
- Module::Build no longer used

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> 5cd09a4
- updated to 0.10

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 73a9b00
- updated to 0.08

* Sat Dec 01 2007 Maciej Pijanka <agaran@pld-linux.org> 5f90f16
- up to 0.07, builds here

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> e4bad2a
- generic URL
- BR: perl-Module-Build

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7901b95
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cc5a3fa
- converted to UTF-8

* Sat Feb 10 2007 radek <radek@pld-linux.org> 0acfd9b
- version 0.06

* Mon Sep 25 2006 radek <radek@pld-linux.org> 9fa1e15
- version 0.05, fixed Source0 URL

* Sat Aug 12 2006 migo <migo@pld-linux.org> d88d1b9
- up to 0.04

* Sat Apr 15 2006 Jakub Bogusz <qboosh@pld-linux.org> a2f20b1
- en fix

* Sat Apr 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 563daf5
- pl

* Sat Apr 08 2006 migo <migo@pld-linux.org> 5604adb
- initial revision

